<form action="" method="post" class="mt-3" (ngSubmit)="getIncidentUpdates()" ngNativeValidate>
    <div class ="col-sm-12 col-md-12">    
        <div class="row">
                <div class="col-md-3 col-12">    
                    <input type = "text" [(ngModel)]="incident.number" class="form-control mt-2" id="type" name="incedent_number" placeholder="Número de reclamo"> 
                </div>
                <div class="col-md-3 col-12">    
                    <input type = "text" [(ngModel)]="incident.rut" class="form-control mt-2" id="type" name="rut_validation" placeholder="RUT,DNI,Pasaporte"> 
                </div>
                <div class="col-md-3 ml-5">   
                        <ngx-recaptcha2 #captchaElement
                        class="float-right"
                        [siteKey]="siteKey"
                        [useGlobalDomain]="false"
                        (success)="handleSuccess($event)"
                        required>
                      </ngx-recaptcha2>
                </div>
                <div class="col-md-2 p-2">
                    <button type="submit" class="btn btn-success">Buscar</button>
                </div>
            </div>
    </div>
</form>

<table class="table mt-3">
    <thead>
        <tr>
            <th scope="col">Fecha</th>
            <th scope="col">Hora</th>
            <th scope="col">Estatus</th>
            <th scope="col">Observaciones</th>
        </tr>

    </thead>
    <tbody>
        <tr *ngFor="let item of updates">
            <td>{{item.modified_date_incident | date:'shortDate'}}</td>
            <td>{{item.modified_date_incident | date:'shortTime'}}</td>
            <td>{{item.status__description}}</td>
            <td>{{item.comments}}</td>
        </tr>

    </tbody>
</table>

